import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Base } from '../../../../../shared/common/model/base.model';

export const httpOptions = {
  headers: new HttpHeaders({
    'Content-Type': 'application/json'
  })
};

export abstract class AbstractService<T extends Base> {

  public constructor(
    protected httpClient: HttpClient,
    protected apiEntryPoint: string,
  ) {

  }
}
